Skip to main content
PATCH
/
v1
/
categories
/
{categoryId}
/
descriptions
/
{salesChannelId}
/
{languageIso}
Update Category Description
curl --request PATCH \
  --url https://api.jtl-cloud.com/erp/v1/categories/{categoryId}/descriptions/{salesChannelId}/{languageIso} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --header 'x-appid: <x-appid>' \
  --header 'x-appversion: <x-appversion>' \
  --header 'x-tenant-id: <x-tenant-id>' \
  --data '
{
  "Name": "<string>",
  "Description": "<string>",
  "SeoPath": "<string>",
  "SeoMetaDescription": "<string>",
  "SeoTitleTag": "<string>",
  "SeoMetaKeywords": "<string>"
}
'
{
  "ErrorCode": "<string>",
  "ValidationErrors": {},
  "Errors": {},
  "ErrorMessage": "<string>",
  "Stacktrace": "<string>"
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

x-api-key
string
header
required

Optional: If no token is present, the API Gateway injects it.

Headers

x-appid
string
required

This is the name of your application, e.g. "MyApp/1.0.0". It is used to identify your application.

x-appversion
string
required

This is where the version number of your application is entered, e.g. "1.0.0".

x-runas
string

The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.

X-SessionId
string<uuid>

The id of a session in which the call will be executed.

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

Path Parameters

salesChannelId
string
required

The id of the sales channel that the descriptions belong to.

languageIso
string
required

The iso code of the language that the descriptions belong to.

categoryId
integer<int32>
required

The id of the category that the descriptions belong to.

Body

application/json

The category to update.

Model Class: UpdateCategoryDescription

Name
string

The category name in the given language and sales channel. The name in JTL-Wawi and the default language is the default name of the category.

Description
string

The category description in the given language and sales channel.

SeoPath
string

The SEO path in the given language and sales channel.

SeoMetaDescription
string

The SEO metadescription in the given language and sales channel.

SeoTitleTag
string

The title tag (SEO) in the given language and sales channel.

SeoMetaKeywords
string

The meta keywords in the given language and sales channel.

Response